#include "davewin.h"
#include "daveview.h"
#include "filterview.h"
#include <Window.h>
#include <Rect.h>
#include <Application.h>

davewin::davewin(BRect re) 
	: BWindow(re, "Hello", B_TITLED_WINDOW, B_WILL_ACCEPT_FIRST_CLICK | B_NOT_ZOOMABLE ) 
		{
			Show();
			SetTitle("Titled");
			filterview* bgview = new filterview(Bounds(), "", B_FOLLOW_ALL, B_WILL_DRAW);
			AddChild(bgview);
		}

bool davewin::QuitRequested() 
	{
		be_app->PostMessage(B_QUIT_REQUESTED);
		return(true);
	}
